- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_set_write_concern()

## Synopsis

    void
    mongoc_client_set_write_concern (mongoc_client_t *client,
                                     const mongoc_write_concern_t *write_concern);

Sets the write concern for the client. This only affects future operations, collections, and databases inheriting from `client`.

The default write concern is MONGOC_WRITE_CONCERN_W_DEFAULT: the driver blocks awaiting basic acknowledgement of write operations from MongoDB. This is the correct write concern for the great majority of applications.

It is a programming error to call this function on a client from a mongoc_client_pool_t. For pooled clients, set the write concern with the MongoDB URI instead.

## Parameters

- `client`: A mongoc_client_t.
- `write_concern`: A mongoc_write_concern_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.